# getType

abstract fun getType(): String

The resource type.

If 'location' property is used the values are: "1" for a file, or "2" for a folder.

If 'locationUri' property is used then the values are: "1" for file or folder when 'locationUri' first segment is a workspace path variable (or path variable navigation element), "2" for an eclipse virtual folder.

See the official Eclipse documentation for most up-to-date information on properties of a linked resource

#### Return

Eclipse link type